import { Map } from '@prisma/client';
import prisma from '../utilities/prisma'; // Import the global Prisma instance

class MapRepository {
    async getFirst(): Promise<Map | null> {
        try {
            return await prisma.map.findFirst();
        } catch (error: any) {
            // Handle error
            throw new Error(`Failed to get first map: ${error.message}`);
        }
    }
}

export default MapRepository;